.timeline-container {
    position: relative;
    padding-left: 20px;
    margin-top: 20px;
    height: 400px;
    overflow-y: scroll;
  }
  
  .timeline-container h2 {
    margin-bottom: 20px;
    color: #28a745;
  }
  #loading {
    color: red;
    width: 2rem;
    height: 2rem;
    margin: -400px auto 0 auto;
}
  .timeline-item {
    display: flex;
    flex-direction: row;
    position: relative;
  }
  
  .timeline-item:before {
    content: '';
    position: absolute;
    width: 2px;
    background-color: #28a745;
    top: 0;
    bottom: 0;
    left: 0;
    margin-left: -1px;
  }
  
  .timeline-date {
    display: flex;
    align-items: center;
    flex: 0 0 60px;
    text-align: right;
    font-weight: bold;
    color: #28a745;
    background-color: #ffffff;
    height: 30px;
    margin-top: 40px;
    margin-left: -20px;
    z-index: 23;
  }
  
  .timeline-content {
    flex: 1;
    padding: 10px 20px;
    background: #f5f5f5;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin-left: 20px;
    position: relative;
    margin-bottom: 10px;
  }
  
  .timeline-content h3 {
    margin-top: 0;
  }
  
  .timeline-content p {
    margin: 0;
  }
  